diff --git a/ldap/servers/slapd/back-ldbm/idl.c b/ldap/servers/slapd/back-ldbm/idl.c
index ada7879..7ecdc81 100644
--- a/ldap/servers/slapd/back-ldbm/idl.c
+++ b/ldap/servers/slapd/back-ldbm/idl.c
@@ -72,7 +72,7 @@ static void idl_init_maxids(struct ldbminfo *li,idl_private *priv)
     }
     priv->idl_maxindirect = (li->li_allidsthreshold / priv->idl_maxids) + 1;
     priv->idl_allidslimit = (priv->idl_maxids * priv->idl_maxindirect);
-    LDAPDebug (LDAP_DEBUG_ARGS,
+    LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG,
         "idl_init_private: blksize %lu, maxids %i, maxindirect %i\n",
         (unsigned long)blksize, priv->idl_maxids, priv->idl_maxindirect);
 }
@@ -195,7 +195,7 @@ idl_fetch_one(
 	DBT	data = {0};
 	IDList	*idl = NULL;
 
-	/* LDAPDebug( LDAP_DEBUG_TRACE, "=> idl_fetch_one\n", 0, 0, 0 ); */
+	/* LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> idl_fetch_one\n", 0, 0, 0 ); */
 
 	data.flags = DB_DBT_MALLOC;
 
@@ -205,14 +205,14 @@ idl_fetch_one(
 		{
 			char *msg;
 			if ( EPERM == *err && *err != errno ) {
-		    	    LDAPDebug( LDAP_DEBUG_ANY,
+		    	    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 			      "idl_fetch_one(%s): Database failed to run, "
 			      "There is either insufficient disk space or "
 			      "insufficient memory available for database.\n",
 			      ((char*)key->dptr)[ key->dsize - 1 ] ?
 			      "" : (char*)key->dptr, 0, 0 );
 			} else {
-			    LDAPDebug( LDAP_DEBUG_ANY,
+			    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 			      "idl_fetch_one error %d %s\n",
 			      *err, (msg = dblayer_strerror( *err )) ? msg : "", 0 );
 			}
@@ -246,7 +246,7 @@ idl_old_fetch(
 	int	i;
 	unsigned long nids;
 
-	/* LDAPDebug( LDAP_DEBUG_TRACE, "=> idl_fetch\n", 0, 0, 0 ); */
+	/* LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> idl_fetch\n", 0, 0, 0 ); */
 	if ( (idl = idl_fetch_one( li, db, key, txn, err )) == NULL ) {
 		return( NULL );
 	}
@@ -324,16 +324,16 @@ idl_old_fetch(
 
 		/* Check for inconsistencies: */
 		if ( tmp[i]->b_ids[0] != thisID ) {
-		    LDAPDebug (LDAP_DEBUG_ANY, "idl_fetch_one(%s)->b_ids[0] == %lu\n",
+		    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "idl_fetch_one(%s)->b_ids[0] == %lu\n",
 			       k2.dptr, (u_long)tmp[i]->b_ids[0], 0);
 		}
 		if ( nextID != NOID ) {
 		    if ( nextID <= thisID ) {
-			LDAPDebug (LDAP_DEBUG_ANY, "indirect block (%s) contains %lu, %lu\n",
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "indirect block (%s) contains %lu, %lu\n",
 				   key->dptr, (u_long)thisID, (u_long)nextID);
 		    }
 		    if ( nextID <= tmp[i]->b_ids[(tmp[i]->b_nids)-1] ) {
-			LDAPDebug (LDAP_DEBUG_ANY, "idl_fetch_one(%s)->b_ids[last] == %lu"
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "idl_fetch_one(%s)->b_ids[last] == %lu"
 				   " >= %lu (next indirect ID)\n",
 				   k2.dptr, (u_long)tmp[i]->b_ids[(tmp[i]->b_nids)-1], (u_long)nextID);
 		    }
@@ -363,7 +363,7 @@ idl_old_fetch(
 	}
 	slapi_ch_free((void**)&tmp );
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "<= idl_fetch %lu ids (%lu max)\n", (u_long)idl->b_nids,
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= idl_fetch %lu ids (%lu max)\n", (u_long)idl->b_nids,
 	    (u_long)idl->b_nmax, 0 );
 	return( idl );
 }
@@ -380,7 +380,7 @@ idl_store(
   int        rc;
   DBT        data = {0};
   
-  /* LDAPDebug( LDAP_DEBUG_TRACE, "=> idl_store\n", 0, 0, 0 ); */
+  /* LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> idl_store\n", 0, 0, 0 ); */
   
   data.dptr = (char *) idl;
   data.dsize = (2 + idl->b_nmax) * sizeof(ID);
@@ -389,7 +389,7 @@ idl_store(
   if ( 0 != rc ) {
     char *msg;
     if ( EPERM == rc && rc != errno ) {
-      LDAPDebug( LDAP_DEBUG_ANY,
+      LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                  "idl_store(%s): Database failed to run, "
                  "There is insufficient memory available for database.\n",
                  ((char*)key->dptr)[ key->dsize - 1 ] ? "" : (char*)key->dptr, 0, 0 );
@@ -402,13 +402,13 @@ idl_store(
                  ((char*)key->dptr)[ key->dsize - 1 ] ? "" : (char*)key->dptr,
                  rc, (msg = dblayer_strerror( rc )) ? msg : "" );
       if (rc == DB_RUNRECOVERY) {
-        LDAPDebug(LDAP_DEBUG_ANY, "%s\n", "Note: idl_store failures can be an indication of insufficient disk space.", 0, 0);
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "%s\n", "Note: idl_store failures can be an indication of insufficient disk space.", 0, 0);
         ldbm_nasty("idl_store",71,rc);
       }
     }
   }
   
-  /* LDAPDebug( LDAP_DEBUG_TRACE, "<= idl_store %d\n", rc, 0, 0 ); */
+  /* LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= idl_store %d\n", rc, 0, 0 ); */
   return( rc );
 }
 
@@ -471,13 +471,13 @@ idl_change_first(
 	int	rc;
 	char	*msg;
 
-	/* LDAPDebug( LDAP_DEBUG_TRACE, "=> idl_change_first\n", 0, 0, 0 ); */
+	/* LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> idl_change_first\n", 0, 0, 0 ); */
 
 	/* delete old key block */
 	rc = db->del( db, txn, bkey, 0 );
 	if ( (rc != 0) && (DB_LOCK_DEADLOCK != rc) )
 	{
-		LDAPDebug( LDAP_DEBUG_ANY, "idl_change_first del (%s) err %d %s\n",
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "idl_change_first del (%s) err %d %s\n",
 			   bkey->dptr, rc, (msg = dblayer_strerror( rc )) ? msg : "" );
 		if (rc == DB_RUNRECOVERY) {
 		    ldbm_nasty("idl_store",72,rc);
@@ -507,7 +507,7 @@ do { \
     char* fmt = slapi_ch_malloc (strlen(func) + strlen(note) + strlen(FORMAT) + 30); \
     if (fmt != NULL) { \
 	sprintf (fmt, "%s(%%s,%lu) %s: %s\n", func, (u_long)id, note, FORMAT); \
-	LDAPDebug (LDAP_DEBUG_ANY, fmt, key->dptr, ARG1, ARG2); \
+	LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, fmt, key->dptr, ARG1, ARG2); \
 	slapi_ch_free((void**)&fmt); \
     } \
 } while(0)
@@ -590,7 +590,7 @@ idl_old_insert_key(
 		if ( rc != 0 && rc != DB_NOTFOUND ) {
 			if ( rc != DB_LOCK_DEADLOCK )
 			{
-				LDAPDebug( LDAP_DEBUG_ANY, "idl_insert_key 0 BAD %d %s\n",
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "idl_insert_key 0 BAD %d %s\n",
 					   rc, (msg = dblayer_strerror( rc )) ? msg : "", 0 );
 			}
 			return( rc );
@@ -600,7 +600,7 @@ idl_old_insert_key(
 		rc = idl_store( be, db, key, idl, txn );
 		if ( rc != 0 && rc != DB_LOCK_DEADLOCK )
 		{
-			LDAPDebug( LDAP_DEBUG_ANY, "idl_insert_key 1 BAD %d %s\n",
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "idl_insert_key 1 BAD %d %s\n",
 				   rc, (msg = dblayer_strerror( rc )) ? msg : "", 0 );
 		}
 
@@ -638,7 +638,7 @@ idl_old_insert_key(
 				idl_unlock_list(a->ai_idl,key);
 				if ( rc != 0 && rc != DB_LOCK_DEADLOCK)
 				{
-					LDAPDebug( LDAP_DEBUG_ANY, "idl_insert_key 2 BAD %d %s\n",
+					LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "idl_insert_key 2 BAD %d %s\n",
 						   rc, (msg = dblayer_strerror( rc )) ? msg : "", 0 );
 				}
 				if (NULL != disposition) {
@@ -666,7 +666,7 @@ idl_old_insert_key(
 				idl_free( &tmp2 );
 				if ( rc != DB_LOCK_DEADLOCK )
 				{
-					LDAPDebug( LDAP_DEBUG_ANY, "idl_insert_key 3 BAD %d %s\n",
+					LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "idl_insert_key 3 BAD %d %s\n",
 						   rc, (msg = dblayer_strerror( rc )) ? msg : "", 0 );
 				}
 				return( rc );
@@ -692,7 +692,7 @@ idl_old_insert_key(
 				idl_free( &tmp2 );
 				if ( rc != DB_LOCK_DEADLOCK )
 				{
-					LDAPDebug( LDAP_DEBUG_ANY, "idl_insert_key 4 BAD %d %s\n",
+					LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "idl_insert_key 4 BAD %d %s\n",
 						   rc, (msg = dblayer_strerror( rc )) ? msg : "", 0 );
 				}
 				return( rc );
@@ -710,7 +710,7 @@ idl_old_insert_key(
 		idl_unlock_list(a->ai_idl,key);
 		if ( rc != 0 && rc != DB_LOCK_DEADLOCK )
 		{
-			LDAPDebug( LDAP_DEBUG_ANY, "idl_insert_key 5 BAD %d %s\n",
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "idl_insert_key 5 BAD %d %s\n",
 				   rc, (msg = dblayer_strerror( rc )) ? msg : "", 0 );
 		}
 		return( rc );
@@ -729,7 +729,7 @@ idl_old_insert_key(
 		;	/* NULL */
 	if ( id == idl->b_ids[i] ) {	/* already in a block */
 #ifdef _DEBUG_LARGE_BLOCKS
-		LDAPDebug( LDAP_DEBUG_ANY, 
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
 		    "id %lu for key (%s) is already in block %d\n",
 		    (u_long)id, key.dptr, i);
 #endif
@@ -750,12 +750,12 @@ idl_old_insert_key(
 		if ( rc != 0 ) {
 			if ( rc != DB_LOCK_DEADLOCK )
 			{
-				LDAPDebug( LDAP_DEBUG_ANY, "idl_insert_key 5.5 BAD %d %s\n",
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "idl_insert_key 5.5 BAD %d %s\n",
 					   rc, (msg = dblayer_strerror( rc )) ? msg : "", 0 );
 			}
 			return( rc );
 		}
-		LDAPDebug( LDAP_DEBUG_ANY,
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		    "nonexistent continuation block (%s)\n", k2.dptr, 0, 0 );
 		idl_unlock_list(a->ai_idl,key);
 		idl_free( &idl );
@@ -815,7 +815,7 @@ idl_old_insert_key(
 			    == NULL ) {
 				if ( rc != DB_LOCK_DEADLOCK )
 				{
-					LDAPDebug( LDAP_DEBUG_ANY,
+					LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 					    "idl_fetch_one (%s) returns NULL\n",
 					    k3.dptr, 0, 0 );
 				}
@@ -868,10 +868,10 @@ idl_old_insert_key(
 						break;
 					case 2:	/* already there - how? */
 					case 3: /* split block - how? */
-						LDAPDebug( LDAP_DEBUG_ANY,
+						LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 					"not expecting (%d) from idl_insert_maxids of %lu in (%s)\n",
 						    rc, (u_long)id, k2.dptr );
-						LDAPDebug( LDAP_DEBUG_ANY,
+						LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 						    "likely database corruption\n",
 						    0, 0, 0 );
 						rc = 0;
@@ -900,10 +900,10 @@ idl_old_insert_key(
 				 * we started this insert. what can we do
 				 * aside from log a warning?
 				 */
-				LDAPDebug( LDAP_DEBUG_ANY,
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
     "not expecting return %d from idl_insert_maxids of id %lu in block with key (%s)\n",
 				    rc, (u_long)tmp->b_ids[tmp->b_nids-1], k3.dptr );
-				LDAPDebug( LDAP_DEBUG_ANY,
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 				    "likely database corruption\n", 0, 0, 0 );
 				/* FALL */
 			case 3:		/* block is full */
@@ -1134,7 +1134,7 @@ int idl_old_store_block(
 					slapi_ch_free(&(cont_key.data));
 					if ( ret != 0 && ret != DB_LOCK_DEADLOCK )
 					{
-						LDAPDebug( LDAP_DEBUG_ANY, "idl_store_block(%s) 1 BAD %d %s\n",key->data, ret, dblayer_strerror( ret ));
+						LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "idl_store_block(%s) 1 BAD %d %s\n",key->data, ret, dblayer_strerror( ret ));
 						goto done;
 					}
 					/* Put the lead ID number in the header block */
@@ -1358,7 +1358,7 @@ idl_old_delete_key(
 	IDList	*idl, *didl;
 	DBT	contkey = {0};
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "=> idl_delete_key(%s,%lu)\n",
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> idl_delete_key(%s,%lu)\n",
 		   key->dptr, (u_long)id, 0 );
 
 	idl_Wlock_list(a->ai_idl,key);
@@ -1367,11 +1367,11 @@ idl_old_delete_key(
 		idl_unlock_list(a->ai_idl,key);
 		if ( rc != 0 && rc != DB_NOTFOUND && rc != DB_LOCK_DEADLOCK )
 		{
-			LDAPDebug( LDAP_DEBUG_ANY, "idl_delete_key(%s) 0 BAD %d %s\n",
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "idl_delete_key(%s) 0 BAD %d %s\n",
 				   key->dptr, rc, (msg = dblayer_strerror( rc )) ? msg : "" );
 		}
 		if ( 0 == rc || DB_NOTFOUND == rc ) rc = -666;
-		LDAPDebug( LDAP_DEBUG_TRACE, "<= idl_delete_key(%s,%lu) %d !idl_fetch_one\n",
+		LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= idl_delete_key(%s,%lu) %d !idl_fetch_one\n",
 			   key->dptr, (u_long)id, rc );
 		return rc;
 	}
@@ -1384,7 +1384,7 @@ idl_old_delete_key(
 			rc = idl_store( be, db, key, idl, txn );
 			if ( rc != 0 && rc != DB_LOCK_DEADLOCK )
 			{
-				LDAPDebug( LDAP_DEBUG_ANY, "idl_delete_key(%s) 1 BAD %d %s\n",
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "idl_delete_key(%s) 1 BAD %d %s\n",
 					   key->dptr, rc, (msg = dblayer_strerror( rc )) ? msg : "" );
 			}
 			break;
@@ -1393,7 +1393,7 @@ idl_old_delete_key(
 			rc = db->del( db, txn, key, 0 );
 			if ( rc != 0 && rc != DB_LOCK_DEADLOCK )
 			{
-				LDAPDebug( LDAP_DEBUG_ANY, "idl_delete_key(%s) 2 BAD %d %s\n",
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "idl_delete_key(%s) 2 BAD %d %s\n",
 					   key->dptr, rc, (msg = dblayer_strerror( rc )) ? msg : "" );
 				if (rc == DB_RUNRECOVERY) {
 				    ldbm_nasty("",74,rc);
@@ -1408,14 +1408,14 @@ idl_old_delete_key(
 			break;
 
 		default:
-			LDAPDebug( LDAP_DEBUG_ANY, "idl_delete_key(%s) 3 BAD idl_delete\n",
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "idl_delete_key(%s) 3 BAD idl_delete\n",
 				   key->dptr, 0, 0 );
 			break;
 		}
 
 		idl_free( &idl );
 		idl_unlock_list(a->ai_idl,key);
-		LDAPDebug( LDAP_DEBUG_TRACE, "<= idl_delete_key(%s,%lu) %d (not indirect)\n",
+		LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= idl_delete_key(%s,%lu) %d (not indirect)\n",
 			   key->dptr, (u_long)id, rc );
 		return( rc );
 	}
@@ -1436,7 +1436,7 @@ idl_old_delete_key(
 	if ( i == 0 && id < idl->b_ids[i] ) {
 		idl_free( &idl );
 		idl_unlock_list(a->ai_idl,key);
-		LDAPDebug( LDAP_DEBUG_TRACE, "<= idl_delete_key(%s,%lu) -666 (id not found)\n",
+		LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= idl_delete_key(%s,%lu) -666 (id not found)\n",
 			   key->dptr, (u_long)id, 0 );
 		return( -666 );
 	}
@@ -1451,10 +1451,10 @@ idl_old_delete_key(
 		idl_unlock_list(a->ai_idl,key);
 		if ( rc != DB_LOCK_DEADLOCK )
 		{
-			LDAPDebug( LDAP_DEBUG_ANY, "idl_delete_key(%s) 5 BAD %d %s\n",
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "idl_delete_key(%s) 5 BAD %d %s\n",
 				   contkey.dptr, rc, (msg = dblayer_strerror( rc )) ? msg : "" );
 		}
-		LDAPDebug( LDAP_DEBUG_TRACE, "<= idl_delete_key(%s,%lu) %d idl_fetch_one(contkey)\n",
+		LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= idl_delete_key(%s,%lu) %d idl_fetch_one(contkey)\n",
 			   contkey.dptr, (u_long)id, rc );
 		slapi_ch_free( (void **)&(contkey.dptr) );
 		return( rc );
@@ -1466,7 +1466,7 @@ idl_old_delete_key(
 		if ( (rc = idl_store( be, db, &contkey, didl, txn )) != 0 ) {
 		    if ( rc != DB_LOCK_DEADLOCK )
 		    {
-			LDAPDebug( LDAP_DEBUG_ANY, "idl_delete_key(%s) BAD %d %s\n",
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "idl_delete_key(%s) BAD %d %s\n",
 				   contkey.dptr, rc, (msg = dblayer_strerror( rc )) ? msg : "" );
 		    }
 		}
@@ -1479,7 +1479,7 @@ idl_old_delete_key(
 		rc = idl_change_first( be, db, key, idl, i, &contkey, didl, txn );
 		if ( rc != 0 && rc != DB_LOCK_DEADLOCK )
 		{
-			LDAPDebug( LDAP_DEBUG_ANY, "idl_delete_key(%s) 7 BAD %d %s\n",
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "idl_delete_key(%s) 7 BAD %d %s\n",
 				   contkey.dptr, rc, (msg = dblayer_strerror( rc )) ? msg : "" );
 		}
 		if (0 != rc) {
@@ -1495,14 +1495,14 @@ idl_old_delete_key(
 		    rc = idl_store( be, db, key, idl, txn );
 		    if ( rc != 0 && rc != DB_LOCK_DEADLOCK )
 		    {
-			LDAPDebug( LDAP_DEBUG_ANY, "idl_delete_key: idl_store(%s) BAD %d %s\n",
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "idl_delete_key: idl_store(%s) BAD %d %s\n",
 				   key->dptr, rc, (msg = dblayer_strerror( rc )) ? msg : "" );
 		    }
 		} else { /* This index is entirely empty.  Delete the header: */
 		    rc = db->del( db, txn, key, 0 );
 		    if ( rc != 0 && rc != DB_LOCK_DEADLOCK )
 		    {
-			LDAPDebug( LDAP_DEBUG_ANY, "idl_delete_key: db->del(%s) BAD %d %s\n",
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "idl_delete_key: db->del(%s) BAD %d %s\n",
 				   key->dptr, rc, (msg = dblayer_strerror( rc )) ? msg : "" );
 			if (rc == DB_RUNRECOVERY) {
 			    ldbm_nasty("",75,rc);
@@ -1514,7 +1514,7 @@ idl_old_delete_key(
 		    rc = db->del( db, txn, &contkey, 0 );
 		    if ( rc != 0 && rc != DB_LOCK_DEADLOCK )
 		    {
-			LDAPDebug( LDAP_DEBUG_ANY, "idl_delete_key: db->del(%s) BAD %d %s\n",
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "idl_delete_key: db->del(%s) BAD %d %s\n",
 				   contkey.dptr, rc, (msg = dblayer_strerror( rc )) ? msg : "" );
 			if (rc == DB_RUNRECOVERY) {
 			    ldbm_nasty("",76,rc);
@@ -1529,7 +1529,7 @@ idl_old_delete_key(
 		idl_check_indirect( idl, i, didl, NULL, "idl_delete_key", "3", key, id );
 		break;
 	case 4:		/* all ids block - should not happen */
-		LDAPDebug( LDAP_DEBUG_ANY, "idl_delete_key: cont block (%s) is allids\n",
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "idl_delete_key: cont block (%s) is allids\n",
 			   contkey.dptr, 0, 0 );
 		rc = 0;
 		break;
@@ -1540,10 +1540,10 @@ idl_old_delete_key(
 	idl_unlock_list(a->ai_idl,key);
 	if ( rc != 0 && rc != DB_LOCK_DEADLOCK )
 	{
-		LDAPDebug( LDAP_DEBUG_ANY, "idl_delete_key(%s) 9 BAD %d %s\n",
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "idl_delete_key(%s) 9 BAD %d %s\n",
 			   key->dptr, rc, (msg = dblayer_strerror( rc )) ? msg : "" );
 	}
-	LDAPDebug( LDAP_DEBUG_TRACE, "<= idl_delete_key(%s,%lu) %d (indirect)\n",
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= idl_delete_key(%s,%lu) %d (indirect)\n",
 		   key->dptr, (u_long)id, rc );
 	return( rc );
 }
diff --git a/ldap/servers/slapd/back-ldbm/idl_new.c b/ldap/servers/slapd/back-ldbm/idl_new.c
index e05f577..a20587e 100644
--- a/ldap/servers/slapd/back-ldbm/idl_new.c
+++ b/ldap/servers/slapd/back-ldbm/idl_new.c
@@ -207,7 +207,7 @@ idl_new_fetch(
         if (DB_NOTFOUND != ret) {
 #ifdef DB_USE_BULK_FETCH
             if (ret == DB_BUFFER_SMALL) {
-                LDAPDebug(LDAP_DEBUG_ANY, "database index is corrupt; "
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "database index is corrupt; "
                           "data item for key %s is too large for our buffer "
                           "(need=%d actual=%d)\n",
                           key.data, data.size, data.ulen);
@@ -238,7 +238,7 @@ idl_new_fetch(
                 break;
             }
             if (dataret.size != sizeof(ID)) {
-                LDAPDebug(LDAP_DEBUG_ANY, "database index is corrupt; "
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "database index is corrupt; "
                           "key %s has a data item with the wrong size (%d)\n", 
                           key.data, dataret.size, 0);
                 goto error;
@@ -255,7 +255,7 @@ idl_new_fetch(
             /* we got another ID, add it to our IDL */
             idl_rc = idl_append_extend(&idl, id);
             if (idl_rc) {
-                LDAPDebug(LDAP_DEBUG_ANY, "unable to extend id list (err=%d)\n", idl_rc, 0, 0);
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "unable to extend id list (err=%d)\n", idl_rc, 0, 0);
                 idl_free(&idl);
                 goto error;
             }
@@ -263,7 +263,7 @@ idl_new_fetch(
             count++;
         }
 
-        LDAPDebug(LDAP_DEBUG_TRACE, "bulk fetch buffer nids=%d\n", count, 0, 0); 
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "bulk fetch buffer nids=%d\n", count, 0, 0); 
 #if defined(DB_ALLIDS_ON_READ)	
         /* enforce the allids read limit */
         if ((NEW_IDL_NO_ALLID != *flag_err) && (NULL != a) &&
@@ -271,7 +271,7 @@ idl_new_fetch(
         	idl->b_nids = 1;
         	idl->b_ids[0] = ALLID;
         	ret = DB_NOTFOUND; /* fool the code below into thinking that we finished the dups */
-        	LDAPDebug(LDAP_DEBUG_BACKLDBM, "search for key for attribute index %s "
+        	LDAPDebug(LDAP_DEBUG_BACKLDBM, LOG_DEBUG, "search for key for attribute index %s "
         		  "exceeded allidslimit %d - count is %d\n",
         		  a->ai_type, allidslimit, count);
         	break;
@@ -321,10 +321,10 @@ idl_new_fetch(
     if (idl != NULL && idl->b_nids == 1 && idl->b_ids[0] == ALLID) {
         idl_free(&idl);
         idl = idl_allids(be);
-        LDAPDebug(LDAP_DEBUG_TRACE, "idl_new_fetch %s returns allids\n", 
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "idl_new_fetch %s returns allids\n", 
                   key.data, 0, 0);
     } else {
-        LDAPDebug(LDAP_DEBUG_TRACE, "idl_new_fetch %s returns nids=%lu\n", 
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "idl_new_fetch %s returns nids=%lu\n", 
                   key.data, (u_long)IDL_NIDS(idl), 0);
     }
 
@@ -465,7 +465,7 @@ idl_new_range_fetch(
         if (DB_NOTFOUND != ret) {
 #ifdef DB_USE_BULK_FETCH
             if (ret == DB_BUFFER_SMALL) {
-                LDAPDebug(LDAP_DEBUG_ANY, "database index is corrupt; "
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "database index is corrupt; "
                           "data item for key %s is too large for our buffer "
                           "(need=%d actual=%d)\n",
                           cur_key.data, data.size, data.ulen);
@@ -532,7 +532,7 @@ idl_new_range_fetch(
                 break;
             }
             if (dataret.size != sizeof(ID)) {
-                LDAPDebug(LDAP_DEBUG_ANY, "database index is corrupt; "
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "database index is corrupt; "
                           "key %s has a data item with the wrong size (%d)\n", 
                           cur_key.data, dataret.size, 0);
                 goto error;
@@ -580,7 +580,7 @@ idl_new_range_fetch(
             count++;
         }
 
-        LDAPDebug(LDAP_DEBUG_TRACE, "bulk fetch buffer nids=%d\n", count, 0, 0); 
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "bulk fetch buffer nids=%d\n", count, 0, 0); 
 #if defined(DB_ALLIDS_ON_READ)
         /* enforce the allids read limit */
         if ((NEW_IDL_NO_ALLID != *flag_err) && ai && (idl != NULL) &&
@@ -827,12 +827,12 @@ int idl_new_insert_key(
     } else {
         /* check for allidslimit exceeded in database */
         if (cursor->c_count(cursor, &count, 0) != 0) {
-            LDAPDebug(LDAP_DEBUG_ANY, "could not obtain count for key %s\n",
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "could not obtain count for key %s\n",
                       key->data, 0, 0);
             goto error;
         }
         if ((size_t)count > idl_new_get_allidslimit(a, 0)) {
-            LDAPDebug(LDAP_DEBUG_TRACE, "allidslimit exceeded for key %s\n",
+            LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "allidslimit exceeded for key %s\n",
                       key->data, 0, 0);
             cursor->c_close(cursor);
             cursor = NULL;
@@ -987,7 +987,7 @@ static int idl_new_store_allids(backend *be, DB *db, DBT *key, DB_TXN *txn)
         goto error;
     }
 
-    LDAPDebug(LDAP_DEBUG_TRACE, "key %s has been set to allids\n",
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "key %s has been set to allids\n",
               key->data, 0, 0);
 
 error:
@@ -1082,12 +1082,12 @@ int idl_new_store_block(
 #if defined(DB_ALLIDS_ON_WRITE)
     /* check for allidslimit exceeded in database */
     if (cursor->c_count(cursor, &count, 0) != 0) {
-        LDAPDebug(LDAP_DEBUG_ANY, "could not obtain count for key %s\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "could not obtain count for key %s\n",
                   key->data, 0, 0);
         goto error;
     }
     if ((size_t)count > idl_new_get_allidslimit(a, 0)) {
-        LDAPDebug(LDAP_DEBUG_TRACE, "allidslimit exceeded for key %s\n",
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "allidslimit exceeded for key %s\n",
                   key->data, 0, 0);
         cursor->c_close(cursor);
         cursor = NULL;
